package ch04;

import java.io.*;
import java.util.*;
import ch04.ch04_03;
import ch04.ch04_04;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.ServletException;
import org.apache.struts.action.*;

public class ch04_02 extends Action 
{
  public ActionForward execute(ActionMapping mapping,
    ActionForm form,
    HttpServletRequest request,
    HttpServletResponse response)
    throws IOException, ServletException {

        ActionErrors actionerrors = new ActionErrors();
                
        ch04_03 textForm = (ch04_03)form;
        
        String text = textForm.getText();        
        if(text.trim().equals("")) {
            actionerrors.add(ActionErrors.GLOBAL_ERROR, new ActionError("error.notext"));
        }
        
        if(actionerrors.size() != 0) {            
            saveErrors(request, actionerrors);
            return new ActionForward(mapping.getInput());            
        }

        ch04_04 model = new ch04_04();

        text = model.process(text);

        textForm.setText(text);

        return mapping.findForward("success");
    }
}